## cctools 0.1.0

=== DESCRIPTION ===
Package: cctools
Type: Package
Title: Tools for the Continuous Convolution Trick in Nonparametric
        Estimation
Version: 0.1.0
Authors@R: person("Thomas", "Nagler", , "thomas.nagler@tum.de", c("aut", "cre"))
Description: Implements the uniform scaled beta distribution and
  the continuous convolution kernel density estimator.
License: GPL-3
Encoding: UTF-8
LazyData: true
Imports: stats, Rcpp (>= 0.12.5), qrng
LinkingTo: Rcpp, RcppArmadillo
RoxygenNote: 6.0.1
Suggests: testthat
NeedsCompilation: yes
Packaged: 2017-04-26 10:50:13 UTC; n5
Author: Thomas Nagler [aut, cre]
Maintainer: Thomas Nagler <thomas.nagler@tum.de>
Repository: CRAN
Date/Publication: 2017-04-26 17:21:13 UTC

## cctools 0.1.1

=== DESCRIPTION ===
Package: cctools
Type: Package
Title: Tools for the Continuous Convolution Trick in Nonparametric
        Estimation
Version: 0.1.1
Authors@R: person("Thomas", "Nagler", , "thomas.nagler@tum.de", c("aut", "cre"))
Description: Implements the uniform scaled beta distribution and
  the continuous convolution kernel density estimator.
License: GPL-3
Encoding: UTF-8
LazyData: true
Imports: stats, Rcpp (>= 0.12.5), qrng
LinkingTo: Rcpp, RcppArmadillo
RoxygenNote: 6.0.1
Suggests: testthat
NeedsCompilation: yes
Packaged: 2017-11-24 16:49:21 UTC; n5
Author: Thomas Nagler [aut, cre]
Maintainer: Thomas Nagler <thomas.nagler@tum.de>
Repository: CRAN
Date/Publication: 2017-11-24 18:17:07 UTC

## cctools 0.1.2

=== DESCRIPTION ===
Package: cctools
Type: Package
Title: Tools for the Continuous Convolution Trick in Nonparametric
        Estimation
Version: 0.1.2
Authors@R: person("Thomas", "Nagler", , "thomas.nagler@tum.de", c("aut", "cre"))
Description: Implements the uniform scaled beta distribution and
  the continuous convolution kernel density estimator.
License: GPL-3
Encoding: UTF-8
LazyData: true
Imports: stats, Rcpp (>= 0.12.5), qrng
LinkingTo: Rcpp, RcppArmadillo
RoxygenNote: 6.0.1
Suggests: testthat
NeedsCompilation: yes
Packaged: 2019-03-19 18:58:00 UTC; n5
Author: Thomas Nagler [aut, cre]
Maintainer: Thomas Nagler <thomas.nagler@tum.de>
Repository: CRAN
Date/Publication: 2019-03-19 19:33:26 UTC

## cctools 0.1.3

=== DESCRIPTION ===
Package: cctools
Type: Package
Title: Tools for the Continuous Convolution Trick in Nonparametric
        Estimation
Version: 0.1.3
Authors@R: person("Thomas", "Nagler", , "mail@tnagler.com", c("aut", "cre"))
Description: Implements the uniform scaled beta distribution and
  the continuous convolution kernel density estimator.
License: GPL-3
Encoding: UTF-8
Imports: stats, Rcpp (>= 0.12.5), qrng
LinkingTo: Rcpp, RcppArmadillo
RoxygenNote: 7.3.2
Suggests: testthat
NeedsCompilation: yes
Packaged: 2025-03-24 18:13:36 UTC; n5
Author: Thomas Nagler [aut, cre]
Maintainer: Thomas Nagler <mail@tnagler.com>
Repository: CRAN
Date/Publication: 2025-03-24 19:30:05 UTC

## cctools 3.3.2

=== Makefile ===
include Makefile.config
include Makefile.rules

all test clean: Makefile.config
	for p in ${CCTOOLS_PACKAGES} ; do cd $$p && ${MAKE} $@ && cd .. ; done

docs:
	${CCTOOLS_DOXYGEN} cctools.doxygen.config

install: all docs Makefile.config
	for p in ${CCTOOLS_PACKAGES} ; do cd $$p && ${MAKE} $@ && cd .. ; done
	if [ -d api ]; then cp -r api ${CCTOOLS_INSTALL_DIR}/doc; fi
	mkdir -p ${CCTOOLS_INSTALL_DIR}/etc
	cp Makefile.config ${CCTOOLS_INSTALL_DIR}/etc/Makefile.config
	cp COPYING ${CCTOOLS_INSTALL_DIR}/doc

Makefile.config:
	@echo "You must run 'configure' before '${MAKE}'."
	@exit 1

=== chirp/Makefile ===
include ../Makefile.config
include ../Makefile.rules

all test install clean:
	for p in src doc test; do cd $$p && $(MAKE) $@ && cd .. ; done

.PHONY: all test install clean

=== dttools/Makefile ===
include ../Makefile.config
include ../Makefile.rules

all test install clean:
	@for p in src doc test; do cd $$p && $(MAKE) $@ && cd .. ; done

.PHONY: all test install clean

=== ftsh/Makefile ===
include ../Makefile.config
include ../Makefile.rules

all test install clean:
	for p in src doc ; do cd $$p && $(MAKE) $@ && cd .. ; done

=== makeflow/Makefile ===
include ../Makefile.config
include ../Makefile.rules

all test install clean:
	for p in src doc test; do cd $$p && $(MAKE) $@ && cd .. ; done

.PHONY: all install test clean

=== python/Makefile ===
include ../Makefile.config
include ../Makefile.rules

all test install clean:
	@for p in python-workqueue starch; do cd $$p && $(MAKE) $@ && cd .. ; done

.PHONY: all test install clean

=== sand/Makefile ===
include ../Makefile.config
include ../Makefile.rules

all install test clean:
	for p in src doc test ; do cd $$p && $(MAKE) $@ && cd .. ; done

.PHONY: all install test clean

=== wavefront/Makefile ===
include ../Makefile.config
include ../Makefile.rules

all test install clean:
	for p in src doc; do cd $$p && $(MAKE) $@ && cd .. ; done

.PHONY: all install test clean

=== allpairs/doc/Makefile ===
include ../../Makefile.config
include ../../Makefile.rules

all:

clean:

test:

install:
	install -d ${CCTOOLS_INSTALL_DIR}/doc
	install allpairs.html ${CCTOOLS_INSTALL_DIR}/doc

=== allpairs/src.tpds/Makefile ===
CCTOOLS_HOME = ../../../

include ${CCTOOLS_HOME}/Makefile.config
include ${CCTOOLS_HOME}/Makefile.rules

TARGETS = allpairs allpairs_status allpairs_wait allpairs_cleanup

LOCAL_LDFLAGS=-lchirp -ldttools ${CCTOOLS_INTERNAL_LDFLAGS}

all: ${TARGETS}

allpairs: allpairs.o
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS} -lm #-lefence

allpairs_status: allpairs_status.o ${CCTOOLS_HOME}/chirp/src/libchirp.a
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

allpairs_wait: allpairs_wait.o ${CCTOOLS_HOME}/chirp/src/libchirp.a
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

allpairs_cleanup: allpairs_cleanup.o ${CCTOOLS_HOME}/chirp/src/libchirp.a
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

test:

clean:
	rm -f core *~ *.o *.a ${TARGETS} 

install: all
	install -d ${CCTOOLS_INSTALL_DIR}/
	install -d ${CCTOOLS_INSTALL_DIR}/bin
	install allpairs ${CCTOOLS_INSTALL_DIR}/bin
	install allpairs_wait ${CCTOOLS_INSTALL_DIR}/bin
	install allpairs_status ${CCTOOLS_INSTALL_DIR}/bin
	install allpairs_cleanup ${CCTOOLS_INSTALL_DIR}/bin	
	install allpairs_wrapper.sh ${CCTOOLS_INSTALL_DIR}/bin

=== chirp/doc/Makefile ===
include ../../Makefile.config
include ../../Makefile.rules

all:

clean:

test:

install:
	install -d ${CCTOOLS_INSTALL_DIR}/doc
	install chirp.html ${CCTOOLS_INSTALL_DIR}/doc
	install chirp_protocol.html ${CCTOOLS_INSTALL_DIR}/doc

=== chirp/src/Makefile ===
include ../../Makefile.config
include ../../Makefile.rules

LOCAL_LDFLAGS = -ldttools -lchirp ${CCTOOLS_INTERNAL_LDFLAGS}

LIBRARY_SOURCES = chirp_global.c chirp_multi.c chirp_recursive.c chirp_reli.c chirp_client.c chirp_matrix.c chirp_stream.c chirp_types.c chirp_ticket.c
SERVER_SOURCES = chirp_stats.c chirp_job.c chirp_builtin.c chirp_thirdput.c chirp_alloc.c chirp_audit.c chirp_acl.c chirp_group.c chirp_filesystem.c chirp_hdfs.c chirp_local.c chirp_ticket.c

PROGRAMS=chirp chirp_get chirp_put chirp_server chirp_status chirp_benchmark chirp_stream_files chirp_fuse chirp_distribute chirp_md5sum
SCRIPTS=chirp_audit_cluster chirp_server_hdfs
LIBRARIES=libchirp.a libchirp_client.${CCTOOLS_DYNAMIC_SUFFIX}
HEADERS=chirp_global.h chirp_multi.h chirp_reli.h chirp_client.h chirp_stream.h chirp_protocol.h chirp_matrix.h chirp_types.h chirp_recursive.h

TARGETS = ${PROGRAMS} ${LIBRARIES}
LIBRARY_OBJECTS = ${LIBRARY_SOURCES:%.c=%.o}
SERVER_OBJECTS = ${SERVER_SOURCES:%.c=%.o}

all: ${TARGETS}

# This is the library intended to be used by clients of the system.

libchirp.a: ${LIBRARY_OBJECTS}
	${CCTOOLS_AR} rv $@ $^
	ranlib $@

# This library contains only sources used by the server, and the
# parts of the server needed by Parrot to implement identity boxing.

libchirp_server.a: ${SERVER_OBJECTS}
	${CCTOOLS_AR} rv $@ $^
	ranlib $@

# This object exists primarily to get a linkable object for use
# by ROOT and other systems that want to load Chirp dynamically.
# Note that we explicitly include auth_all.o and ${CCTOOLS_DYNAMIC_AUTH_LIBS}
# to force the inclusion of the various authentication infrastructures.

libchirp_client.${CCTOOLS_DYNAMIC_SUFFIX}: ${LIBRARY_OBJECTS} ../../dttools/src/auth_all.o
	${CCTOOLS_LD} ${CCTOOLS_DYNAMIC_FLAG} -o $@ $^ ../../dttools/src/libdttools.a ${CCTOOLS_DYNAMIC_AUTH_LIBS}

chirp: chirp_tool.o libchirp.a
	${CCTOOLS_LD} -o $@ $^ ${CCTOOLS_READLINE_LDFLAGS} ${LOCAL_LDFLAGS}

chirp_server: chirp_server.o libchirp.a libchirp_server.a
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

chirp_get: chirp_get.o libchirp.a
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

chirp_put: chirp_put.o libchirp.a
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

chirp_benchmark: chirp_benchmark.o libchirp.a
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

chirp_status: chirp_status.o libchirp.a
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

chirp_fuse: chirp_fuse.o libchirp.a
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

chirp_distribute: chirp_distribute.o libchirp.a
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

chirp_matrix_benchmark: chirp_matrix_benchmark.o libchirp.a
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

chirp_matrix_roc: chirp_matrix_roc.o libchirp.a
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

chirp_matrix_verify: chirp_matrix_verify.o libchirp.a
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

chirp_md5sum: chirp_md5sum.o libchirp.a
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

chirp_stream_files: chirp_stream_files.o libchirp.a
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

test:	all

clean:
	rm -f core *~ *.o *.os *.a *.${CCTOOLS_DYNAMIC_SUFFIX} ${TARGETS}

install: all
	install -d ${CCTOOLS_INSTALL_DIR}
	install -d ${CCTOOLS_INSTALL_DIR}/bin
	install -d ${CCTOOLS_INSTALL_DIR}/lib
	install -d ${CCTOOLS_INSTALL_DIR}/include
	install -d ${CCTOOLS_INSTALL_DIR}/include/cctools
	if [ -f ${CCTOOLS_INSTALL_DIR}/bin/chirp_server ]; then mv ${CCTOOLS_INSTALL_DIR}/bin/chirp_server ${CCTOOLS_INSTALL_DIR}/bin/chirp_server.old; fi
	for file in ${PROGRAMS} ${SCRIPTS} ; do install $$file ${CCTOOLS_INSTALL_DIR}/bin/$$file ; done
	for file in ${LIBRARIES} ; do install $$file ${CCTOOLS_INSTALL_DIR}/lib/$$file ; done
	for file in ${HEADERS} ; do install $$file ${CCTOOLS_INSTALL_DIR}/include/cctools/$$file ; done

=== debian/changelog ===
cctools (3.3.2-4) unstable; urgency=low

  * More FTBFS fixes for kFreeBSD: The netstat API is different from Linux
    platforms. Upstream's tests for a Linux platform actually test for a GNU
    libc, hence "LINUX" is enforced as operating system configure setting to
    keep the patch minimal.
  * Add a dependency on Python to coop-computing-tools. Some tools are
    implemented in Python. Found by lintian.
  * Remove jquery library copy that is included by the latest doxygen.
    Replaced with symlink and package dependency on libjs-jquery.
  * Add DEP-3 compliant headers to all patches.

 -- Michael Hanke <mih@debian.org>  Wed, 11 May 2011 10:32:23 -0400

cctools (3.3.2-3) unstable; urgency=low

  * Fix another FTBFS on kFreeBSD -- assumption that non-Linux is also
    non-GNU.

 -- Michael Hanke <mih@debian.org>  Mon, 09 May 2011 16:40:39 -0400

cctools (3.3.2-2) unstable; urgency=low

  * Fix FTBFS on kFreeBSD -- invalid value in defines (Closes: #626160).
  * Add gridengine-client to suggested packages, as makeflow also supportes
    SGE.
  * Change package long description indentation to be more compatible with
    existing renderers.

 -- Michael Hanke <mih@debian.org>  Mon, 09 May 2011 09:47:37 -0400

cctools (3.3.2-1) unstable; urgency=low

  * Initial release. (Closes: #618774)
  * Named binary package coop-computing-tools to avoid future naming conflict
    with another cctools package, currently in preparation.

 -- Michael Hanke <mih@debian.org>  Sat, 07 May 2011 09:05:00 -0400

=== debian/control ===
Source: cctools
Section: utils
Priority: extra
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 7.0.50~), python-dev, libglobus-common-dev, libmysqlclient-dev, libfuse-dev, libkrb5-dev, libglobus-gss-assist-dev, net-tools, doxygen
Standards-Version: 3.9.2
Homepage: http://nd.edu/~ccl/software/
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/cctools.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/cctools.git
XS-DM-Upload-Allowed: yes


Package: coop-computing-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python
Suggests: coop-computing-tools-doc, condor, gridengine-client
Description: cooperative computing tools
 This is a collection of software that help users to share resources in a
 complex, heterogeneous, and unreliable computing environment. This includes:
 .
  * Chirp: A personal filesystem and I/O protocol that allows unprivileged users
    to share space securely, efficiently, and conveniently. When combined
    with Parrot, Chirp allows users to create custom wide-area
    distributed filesystems.
  * Parrot: A transparent user-level virtual filesystem that allows any ordinary
    program to be attached to a remote storage device such as an FTP
    server or a Chirp server.
  * Makeflow: A workflow system for parallel and distributed computing that uses
    a language very similar to Make.
  * Work Queue: A system and API for building master-worker style programs that
    scale up to thousands of processors.
  * All Pairs: A computational abstraction for running very large Cartesian
    products.
  * Wavefront: A computational asbtraction for running very large dynamic
    programming problems.
  * The Fault Tolerant Shell: A high-level programming language that allows
    users to combine the ease of shell scripting, the power of distributed
    programming, and the precision of compiled languages. Basically,
    parallel programming and exception handling for scripts.

Package: coop-computing-tools-dev
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: libraries and header files for coop-computing-tools
 These tools are a collection of software that help users to share resources in
 a complex, heterogeneous, and unreliable computing environment.
 .
 This package provides static libraries and header files for development.

Package: coop-computing-tools-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Description: documentation for coop-computing-tools
 These tools are a collection of software that help users to share resources in
 a complex, heterogeneous, and unreliable computing environment.
 .
 This package provides the documentation (manual and API reference) in HTML
 format.

=== debian/rules ===
#!/usr/bin/make -f

# one ring to rule them all ...
%:
	dh $@ --buildsystem=makefile

override_dh_auto_configure:
	# disable warning about unused results (necessary because warning is error
	# is ON)
	CFLAGS="$(CFLAGS) -Wno-unused-result" ./configure --with-globus-path /usr --with-mysql-path /usr \
		--with-krb5-path /usr --with-readline-path /usr \
		--with-fuse-path /usr --with-zlib-path /usr --with-python-path /usr

override_dh_auto_install:
	dh_auto_install -- CCTOOLS_INSTALL_DIR=$(CURDIR)/debian/tmp
	# remove undesired pieces
	-rm debian/tmp/doc/COPYING
	# upstream says it should not go into the page
	-rm debian/tmp/bin/watchdog
	# HDFS helpers are useless without HDFS in Debian
	-rm debian/tmp/bin/*_hdfs
	# newer doxygen puts jquery copy
	-rm debian/tmp/doc/api/html/jquery.js

override_dh_auto_clean:
	[ -e Makefile.config ] && dh_auto_clean || true
	-rm Makefile.config configure.rerun
	-rm -rf api hdfs-setup.template python/python-workqueue/setup.cfg
	# remove testrun left-overs
	-rm dttools/src/microbench dttools/src/work_queue_example
	-find $(CURDIR) -name '*.test.log' -delete
	-find $(CURDIR) -name '*_test' -delete
	-rm -rf sand/test/filter_verification/random.cand.filter.tmp/
	-rm -rf sand/test/test_20.cand.filter.tmp/
	-rm -f sand/test/test_20.cand sand/test/test_20.cfa sand/test/*.log
	-rm -rf makeflow/test/input/ makeflow/test/worker.pid
	-rm -rf makeflow/test/dirs/testcase.subdir.01.makeflow.makeflowlog
	-rm -rf makeflow/test/dirs/testcase.subdir.01.makeflow.wqlog
	-rm dttools/src/multirun sand/test/banded.log

## cctools 3.3.3

=== dttools/src/Makefile ===

include ../../Makefile.config
include ../../Makefile.rules

SOURCES = auth.c auth_all.c auth_unix.c auth_globus.c auth_kerberos.c auth_hostname.c auth_address.c auth_ticket.c b64_encode.c batch_job.c batch_job_condor.c batch_job_hadoop.c batch_job_local.c batch_job_mpi_queue.c batch_job_grid.c batch_job_work_queue.c batch_job_xgrid.c bitmap.c buffer.c catalog_query.c change_process_title.c chunk.c console_login.c clean_dir.c copy_stream.c create_dir.c datagram.c debug.c delete_dir.c disk_info.c domain_name.c domain_name_cache.c dpopen.c envtools.c fast_popen.c full_io.c file_cache.c get_canonical_path.c get_line.c hdfs_library.c hash_cache.c hash_table.c hmac.c http_query.c itable.c link.c list.c load_average.c memory_info.c mergesort.c md5.c mpi_queue.c nvpair.c nvpair_database.c password_cache.c preadwrite.c process.c sha1.c sleeptools.c sort_dir.c stringtools.c text_array.c text_list.c timestamp.c timer.c url_encode.c username.c work_queue.c xmalloc.c

EXTRA_HEADERS = int_sizes.h macros.h batch_job_internal.h

OBJECTS = ${SOURCES:%.c=%.o}
HEADERS = ${SOURCES:%.c=%.h} ${EXTRA_HEADERS}
LIBRARIES = libdttools.a
PROGRAMS = catalog_server work_queue_worker work_queue_pool work_queue_status watchdog

ifeq (${CCTOOLS_USE_MPI},true)
	PROGRAMS += mpi_queue_worker
endif

TEST_PROGRAMS = work_queue_example microbench hmac_test chunk_test multirun
PROGRAM_SOURCES = ${PROGRAMS:%=%.c} ${TEST_PROGRAMS:%=%.c}
SCRIPTS = condor_submit_workers sge_submit_workers
CYGWINLIB = cygwin1.dll sh.exe

all: ${LIBRARIES} $(PROGRAMS) $(TEST_PROGRAMS)

auth_test: auth_test.o libdttools.a
	${CCTOOLS_LD} $^ ${CCTOOLS_INTERNAL_LDFLAGS} -o $@

catalog_server: catalog_server.o libdttools.a
	${CCTOOLS_LD} $^ ${CCTOOLS_INTERNAL_LDFLAGS} -o $@

watchdog: watchdog.o libdttools.a
	${CCTOOLS_LD} $^ ${CCTOOLS_INTERNAL_LDFLAGS} -o $@

microbench: microbench.o libdttools.a
	${CCTOOLS_LD} $^ ${CCTOOLS_INTERNAL_LDFLAGS} -o $@

multirun: multirun.o libdttools.a
	${CCTOOLS_LD} $^ ${CCTOOLS_INTERNAL_LDFLAGS} -o $@

work_queue_worker: work_queue_worker.o libdttools.a
	${CCTOOLS_LD} $^ ${CCTOOLS_INTERNAL_LDFLAGS} -o $@

mpi_queue_worker: mpi_queue_worker.o libdttools.a
	${CCTOOLS_MPI_LD} $^ ${CCTOOLS_INTERNAL_LDFLAGS} -o $@

work_queue_example: work_queue_example.c libdttools.a
	${CCTOOLS_LD} $^ ${CCTOOLS_INTERNAL_LDFLAGS} -o $@

work_queue_status: work_queue_status.c libdttools.a
	${CCTOOLS_LD} $^ ${CCTOOLS_INTERNAL_LDFLAGS} -o $@

hmac_test: hmac_test.o libdttools.a
	${CCTOOLS_LD} $^ ${CCTOOLS_INTERNAL_LDFLAGS} -o $@

chunk_test: chunk_test.o libdttools.a
	${CCTOOLS_LD} $^ ${CCTOOLS_INTERNAL_LDFLAGS} -o $@

work_queue_pool: work_queue_pool.o libdttools.a
	${CCTOOLS_LD} $^ ${CCTOOLS_INTERNAL_LDFLAGS} -o $@

libdttools.a: ${OBJECTS}
	${CCTOOLS_AR} rv $@ $^
	ranlib $@

${SOURCES} ${PROGRAM_SOURCES} : int_sizes.h

int_sizes.h: make_int_sizes
	./$< > $@

make_int_sizes: make_int_sizes.o
	${CCTOOLS_LD} $^ -o $@ ${CCTOOLS_INTERNAL_LDFLAGS}

test: all

clean:
	rm -f core *~ *.o *.os *.so libdttools.a make_int_sizes int_sizes.h large_chunk.txt $(PROGRAMS)

install: all
	install -d ${CCTOOLS_INSTALL_DIR}
	install -d ${CCTOOLS_INSTALL_DIR}/bin
	install -d ${CCTOOLS_INSTALL_DIR}/lib
	install -d ${CCTOOLS_INSTALL_DIR}/include
	install -d ${CCTOOLS_INSTALL_DIR}/include/cctools
	for file in ${LIBRARIES} ; do install $$file ${CCTOOLS_INSTALL_DIR}/lib/$$file ; done
	for file in ${HEADERS} ; do install $$file ${CCTOOLS_INSTALL_DIR}/include/cctools/$$file ; done
	for file in ${PROGRAMS} ; do install $$file ${CCTOOLS_INSTALL_DIR}/bin/$$file ; done
	for file in ${SCRIPTS} ; do install $$file ${CCTOOLS_INSTALL_DIR}/bin/$$file ; chmod 755 ${CCTOOLS_INSTALL_DIR}/bin/$$file; done
	for file in ${CYGWINLIB} ; do if [ -f /bin/$$file ] ; then install /bin/$$file ${CCTOOLS_INSTALL_DIR}/bin/$$file ; fi ; done

=== debian/changelog ===
cctools (3.3.3-1) unstable; urgency=low

  * New upstream release.
  * Updated Debian configuration patches.
  * Added build-dependency to python-support to install the workqueue
    extension correctly.

 -- Michael Hanke <mih@debian.org>  Thu, 14 Jul 2011 14:41:37 -0400

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~), python-dev, libglobus-common-dev, libmysqlclient-dev, libfuse-dev, libkrb5-dev, libglobus-gss-assist-dev, net-tools, doxygen
+Build-Depends: debhelper (>= 7.0.50~), python-dev, python-support, libglobus-common-dev, libmysqlclient-dev, libfuse-dev, libkrb5-dev, libglobus-gss-assist-dev, net-tools, doxygen
 Standards-Version: 3.9.2
 Homepage: http://nd.edu/~ccl/software/
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/cctools.git

## cctools 3.3.4

=== debian/changelog ===
cctools (3.3.4-2) unstable; urgency=low

  * Added missing build-dependency on ncurses (Closes: #644578).

 -- Michael Hanke <mih@debian.org>  Fri, 07 Oct 2011 14:29:14 +0200

cctools (3.3.4-1) unstable; urgency=low

  * New upstream release.
  * Added patches from upstream SVN with fixes for Debian's multiarch
    (Closes: #635916).
  * Re-enable building parrot on amd64 (broken by fix for kFreeBSD).
  * Enable readline support (added appropriate build-dependencies).

 -- Michael Hanke <mih@debian.org>  Sun, 14 Aug 2011 20:14:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: NeuroDebian Team <team@neuro.debian.net>
 Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
-Build-Depends: debhelper (>= 7.0.50~), python-dev, python-support, libglobus-common-dev, libmysqlclient-dev, libfuse-dev, libkrb5-dev, libglobus-gss-assist-dev, net-tools, doxygen
+Build-Depends: debhelper (>= 7.0.50~), python-dev, python-support, libglobus-common-dev, libmysqlclient-dev, libfuse-dev, libkrb5-dev, libglobus-gss-assist-dev, net-tools, doxygen, libreadline6-dev | libreadline-dev, libncurses5-dev | libncurses-dev
 Standards-Version: 3.9.2
 Homepage: http://nd.edu/~ccl/software/
 Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/cctools.git

## cctools 3.4.0

=== Makefile ===
include Makefile.config
include Makefile.rules

all test clean: Makefile.config
	for p in ${CCTOOLS_PACKAGES} ; do cd $$p && ${MAKE} $@ && cd .. ; done

install: all Makefile.config
	for p in ${CCTOOLS_PACKAGES} ; do cd $$p && ${MAKE} $@ && cd .. ; done
	mkdir -p ${CCTOOLS_INSTALL_DIR}/etc
	cp Makefile.config ${CCTOOLS_INSTALL_DIR}/etc/Makefile.config
	cp COPYING ${CCTOOLS_INSTALL_DIR}/doc

Makefile.config:
	@echo "You must run 'configure' before '${MAKE}'."
	@exit 1

=== work_queue/Makefile ===
include ../Makefile.config
include ../Makefile.rules

all test install clean:
	@for p in src test; do cd $$p && $(MAKE) $@ && cd .. ; done

.PHONY: all test install clean

=== allpairs/src/Makefile ===
CCTOOLS_HOME = ../../

include ${CCTOOLS_HOME}/Makefile.config
include ${CCTOOLS_HOME}/Makefile.rules

TARGETS = allpairs_multicore allpairs_master

LOCAL_LDFLAGS=../../sand/src/libsandtools.a -ldttools ${CCTOOLS_INTERNAL_LDFLAGS}

all: ${TARGETS}

allpairs_multicore: allpairs_multicore.o allpairs_compare.o
	${CCTOOLS_LD} -o $@ $^ -lpthread ${LOCAL_LDFLAGS}

allpairs_master: allpairs_master.o allpairs_compare.o
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

test:

clean:
	rm -f core *~ *.o *.a ${TARGETS} 

install: all
	install -d ${CCTOOLS_INSTALL_DIR}/
	install -d ${CCTOOLS_INSTALL_DIR}/bin
	install allpairs_multicore ${CCTOOLS_INSTALL_DIR}/bin
	install allpairs_master ${CCTOOLS_INSTALL_DIR}/bin

=== apps/replica_exchange_protomol/Makefile ===

include ../../Makefile.config
include ../../Makefile.rules

all:

test:

install:
	cp replica_exchange_protomol ${CCTOOLS_INSTALL_DIR}/bin

clean:

=== dttools/src/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 include ../../Makefile.config
 include ../../Makefile.rules
 
-SOURCES = auth.c auth_all.c auth_unix.c auth_globus.c auth_kerberos.c auth_hostname.c auth_address.c auth_ticket.c b64_encode.c batch_job.c batch_job_condor.c batch_job_hadoop.c batch_job_local.c batch_job_mpi_queue.c batch_job_grid.c batch_job_work_queue.c batch_job_xgrid.c bitmap.c buffer.c catalog_query.c change_process_title.c chunk.c console_login.c clean_dir.c copy_stream.c create_dir.c datagram.c debug.c delete_dir.c disk_info.c domain_name.c domain_name_cache.c dpopen.c envtools.c fast_popen.c full_io.c file_cache.c get_canonical_path.c get_line.c hdfs_library.c hash_cache.c hash_table.c hmac.c http_query.c itable.c link.c list.c load_average.c memory_info.c mergesort.c md5.c mpi_queue.c nvpair.c nvpair_database.c password_cache.c preadwrite.c process.c sha1.c sleeptools.c sort_dir.c stringtools.c text_array.c text_list.c timestamp.c timer.c url_encode.c username.c work_queue.c xmalloc.c
+SOURCES = auth.c auth_all.c auth_unix.c auth_globus.c auth_kerberos.c auth_hostname.c auth_address.c auth_ticket.c b64_encode.c batch_job.c batch_job_condor.c batch_job_hadoop.c batch_job_local.c batch_job_mpi_queue.c batch_job_cluster.c batch_job_work_queue.c bitmap.c buffer.c catalog_query.c change_process_title.c chunk.c console_login.c clean_dir.c copy_stream.c create_dir.c datagram.c debug.c delete_dir.c disk_info.c domain_name.c domain_name_cache.c dpopen.c envtools.c fast_popen.c full_io.c file_cache.c get_canonical_path.c get_line.c getopt.c hdfs_library.c hash_cache.c hash_table.c hmac.c http_query.c itable.c link.c list.c load_average.c memory_info.c mergesort.c md5.c mpi_queue.c nvpair.c nvpair_database.c password_cache.c preadwrite.c process.c sha1.c sleeptools.c sort_dir.c stringtools.c text_array.c text_list.c timestamp.c timer.c url_encode.c username.c work_queue.c xmalloc.c
 
 EXTRA_HEADERS = int_sizes.h macros.h batch_job_internal.h
 
@@ -82,7 +82,7 @@
 	install -d ${CCTOOLS_INSTALL_DIR}/include
 	install -d ${CCTOOLS_INSTALL_DIR}/include/cctools
 	for file in ${LIBRARIES} ; do install $$file ${CCTOOLS_INSTALL_DIR}/lib/$$file ; done
-	for file in ${HEADERS} ; do install $$file ${CCTOOLS_INSTALL_DIR}/include/cctools/$$file ; done
+	for file in ${HEADERS} ; do if [ -f $file ] ; then install $$file ${CCTOOLS_INSTALL_DIR}/include/cctools/$$file ; fi ; done
 	for file in ${PROGRAMS} ; do install $$file ${CCTOOLS_INSTALL_DIR}/bin/$$file ; done
 	for file in ${SCRIPTS} ; do install $$file ${CCTOOLS_INSTALL_DIR}/bin/$$file ; chmod 755 ${CCTOOLS_INSTALL_DIR}/bin/$$file; done
 	for file in ${CYGWINLIB} ; do if [ -f /bin/$$file ] ; then install /bin/$$file ${CCTOOLS_INSTALL_DIR}/bin/$$file ; fi ; done

=== ftsh/src/Makefile ===

include ../../Makefile.config
include ../../Makefile.rules

LOCAL_LDFLAGS=-ldttools ${CCTOOLS_INTERNAL_LDFLAGS}

PROGRAMS=ftsh
LIBRARIES=libftsh.a
SOURCES=ftsh.c ftsh_error.c ast.c ast_print.c ast_execute.c expr.c parser.tab.c scanner.c variable.c buffer.c timed_exec.c multi_fork.c cancel.c builtin.o

OBJECTS = ${SOURCES:%.c=%.o}
HEADERS = ${SOURCES:%.c=%.h}

all: ${PROGRAMS} ${LIBRARIES}

ftsh: ftsh.o libftsh.a
	${CCTOOLS_LD} $^ -o $@ ${LOCAL_LDFLAGS}

libftsh.a: ${OBJECTS}
	ar rv $@ $^
	ranlib $@

parser.tab.c parser.tab.h: parser.y
	bison -d parser.y

scanner.c: scanner.l parser.tab.h
	flex -t scanner.l > scanner.c

test:

install: all
	install -d ${CCTOOLS_INSTALL_DIR}/bin
	install ftsh ${CCTOOLS_INSTALL_DIR}/bin

clean:
	rm -f ${PROGRAMS} ${OBJECTS} ${LIBRARIES} parser.tab.c parser.tab.h scanner.c *~

=== makeflow/src/Makefile ===
CCTOOLS_HOME = ../../

include ${CCTOOLS_HOME}/Makefile.config
include ${CCTOOLS_HOME}/Makefile.rules

TARGETS = makeflow

LOCAL_LDFLAGS= -ldttools ${CCTOOLS_INTERNAL_LDFLAGS}

all: ${TARGETS}

makeflow: makeflow.o
	${CCTOOLS_LD} $^ ${LOCAL_LDFLAGS} -o $@

clean:
	rm -f core *~ *.o *.a ${TARGETS} 

test: all

install: all
	install -d ${CCTOOLS_INSTALL_DIR}/
	install -d ${CCTOOLS_INSTALL_DIR}/bin
	install makeflow ${CCTOOLS_INSTALL_DIR}/bin
	chmod 755 condor_submit_makeflow
	install condor_submit_makeflow ${CCTOOLS_INSTALL_DIR}/bin
	install makeflow_log_parser ${CCTOOLS_INSTALL_DIR}/bin
	install makeflow_monitor ${CCTOOLS_INSTALL_DIR}/bin
	install starch ${CCTOOLS_INSTALL_DIR}/bin

=== makeflow/test/Makefile ===
CCTOOLS_HOME = ../..

include ${CCTOOLS_HOME}/Makefile.config
include ${CCTOOLS_HOME}/Makefile.rules

all:

test-makeflow:
	@echo running makeflow tests
	@${CCTOOLS_HOME}/dttools/src/test_runner.sh TR_[0-9]*.sh

test-starch:
	@echo running starch tests
	@${CCTOOLS_HOME}/dttools/src/test_runner.sh TR_starch*.sh

test: test-makeflow test-starch

clean:

install:

=== parrot/src/Makefile ===
include ../../Makefile.config
include ../../Makefile.rules

TARGETS = parrot_run libparrot_client.a libparrot_helper.so parrot_lsalloc parrot_mkalloc parrot_getacl parrot_setacl parrot_whoami parrot_locate parrot_md5 parrot_cp parrot_timeout
PARROT_OBJECTS =  pfs_main.o pfs_poll.o tracer.o pfs_dispatch.o pfs_dispatch64.o pfs_process.o pfs_channel_cache.o pfs_channel.o pfs_sys.o pfs_table.o pfs_resolve.o pfs_service.o pfs_file.o pfs_file_cache.o pfs_dir.o pfs_dircache.o pfs_pointer.o pfs_location.o ibox_acl.o pfs_service_local.o pfs_service_http.o pfs_service_grow.o pfs_service_chirp.o pfs_service_multi.o pfs_service_nest.o pfs_service_ftp.o pfs_service_gfal.o pfs_service_lfc.o pfs_service_rfio.o pfs_service_dcap.o pfs_file_gzip.o pfs_service_irods.o irods_reli.o pfs_service_hdfs.o pfs_service_bxgrid.o pfs_service_s3.o pfs_service_xrootd.o

LOCAL_LDFLAGS=-lchirp -ls3client -ldttools -lftp_lite -ldl ${CCTOOLS_INTERNAL_LDFLAGS}

all: ${TARGETS}

parrot_run: ${PARROT_OBJECTS}
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

libparrot_helper.so: parrot_helper.c
	gcc -shared -fPIC $< -o $@

parrot_lsalloc: parrot_lsalloc.o parrot_client.o
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

parrot_mkalloc: parrot_mkalloc.o parrot_client.o
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

parrot_getacl: parrot_getacl.o parrot_client.o
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

parrot_setacl: parrot_setacl.o parrot_client.o
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

parrot_whoami: parrot_whoami.o parrot_client.o
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

parrot_locate: parrot_locate.o parrot_client.o
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

parrot_timeout: parrot_timeout.o parrot_client.o
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

parrot_md5: parrot_md5.o parrot_client.o
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

parrot_cp: parrot_cp.o parrot_client.o
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

libparrot_client.a: parrot_client.o
	ar rv $@ $^

pfs_main.o pfs_dispatch.o pfs_dispatch64.o pfs_process.o tracer.o: tracer.table.h tracer.table.c tracer.table64.h tracer.table64.c

tracer.table64.c: tracer.table64.in tracer.table.process
	perl tracer.table.process table 64 <$< >$@

tracer.table64.h: tracer.table64.in tracer.table.process
	perl tracer.table.process header 64 <$< >$@

tracer.table.c: tracer.table.in tracer.table.process
	perl tracer.table.process table 32 <$< >$@

tracer.table.h: tracer.table.in tracer.table.process
	perl tracer.table.process header 32 <$< >$@

test:

clean:
	rm -f core *~ *.o *.a ${TARGETS} tracer.table.c tracer.table.h tracer.table64.c tracer.table64.h

install: all parrot_client.h
	install -d ${CCTOOLS_INSTALL_DIR}
	install -d ${CCTOOLS_INSTALL_DIR}/bin
	install -d ${CCTOOLS_INSTALL_DIR}/lib
	install -d ${CCTOOLS_INSTALL_DIR}/include
	install -d ${CCTOOLS_INSTALL_DIR}/include/cctools
	install parrot_run ${CCTOOLS_INSTALL_DIR}/bin
	install libparrot_client.a ${CCTOOLS_INSTALL_DIR}/lib
	install parrot_client.h ${CCTOOLS_INSTALL_DIR}/include/cctools
	install libparrot_helper.so ${CCTOOLS_INSTALL_DIR}/lib
	install parrot_identity_box ${CCTOOLS_INSTALL_DIR}/bin
	install make_growfs ${CCTOOLS_INSTALL_DIR}/bin
	install parrot_mkalloc ${CCTOOLS_INSTALL_DIR}/bin
	install parrot_lsalloc ${CCTOOLS_INSTALL_DIR}/bin
	install parrot_setacl ${CCTOOLS_INSTALL_DIR}/bin
	install parrot_getacl ${CCTOOLS_INSTALL_DIR}/bin
	install parrot_whoami ${CCTOOLS_INSTALL_DIR}/bin
	install parrot_md5 ${CCTOOLS_INSTALL_DIR}/bin
	install parrot_cp ${CCTOOLS_INSTALL_DIR}/bin
	install parrot_locate ${CCTOOLS_INSTALL_DIR}/bin
	install parrot_timeout ${CCTOOLS_INSTALL_DIR}/bin
	chmod 755 parrot_run_hdfs
	install parrot_run_hdfs ${CCTOOLS_INSTALL_DIR}/bin

=== s3tools/src/Makefile ===
include ../../Makefile.config
include ../../Makefile.rules

SOURCES = s3c_file.c s3c_acl.c s3c_bucket.c s3c_util.c
LOCAL_LDFLAGS = -lm -ldttools ${CCTOOLS_INTERNAL_LDFLAGS}

OBJECTS = ${SOURCES:%.c=%.o}
HEADERS = ${SOURCES:%.c=%.h} ${EXTRA_HEADERS}
LIBRARIES = libs3client.a
PROGRAMS = s3put s3get s3stat s3rm s3mkdir s3rmdir s3ls s3getacl s3setacl

PROGRAM_SOURCES = ${PROGRAMS:%=%.c}

OBJECTS = ${LIBRARY_SOURCES:%.c=%.o}

LOCAL_LDFLAGS = -ls3client -lm -ldttools ${CCTOOLS_INTERNAL_LDFLAGS}

all: ${LIBRARIES} ${PROGRAMS}

s3put: s3put.o libs3client.a 
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}
s3get: s3get.o libs3client.a 
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}
s3stat: s3stat.o libs3client.a 
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}
s3rm: s3rm.o libs3client.a 
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}
s3mkdir: s3mkdir.o libs3client.a 
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}
s3rmdir: s3rmdir.o libs3client.a 
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}
s3ls: s3ls.o libs3client.a
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}
s3getacl: s3getacl.o libs3client.a 
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}
s3setacl: s3setacl.o libs3client.a 
	${CCTOOLS_LD} -o $@ $^ ${LOCAL_LDFLAGS}

libs3client.a: s3common.o s3c_util.o s3c_file.o s3c_bucket.o s3c_acl.o
	${CCTOOLS_AR} rv $@ $^
	ranlib $@

install:

clean:
	rm -f core *~ *.o *.os *.so libs3client.a $(PROGRAMS)

test:

=== sand/src/Makefile ===
include ../../Makefile.config
include ../../Makefile.rules

PROGRAMS = sand_align_master sand_align_kernel sand_filter_master sand_filter_kernel sand_compress_reads sand_uncompress_reads
SCRIPTS = sand_runCA
SOURCES =  compressed_sequence.o sequence_filter.c sequence.c matrix.c overlap.c align.c
OBJECTS = ${SOURCES:%.c=%.o}
HEADERS = *.h

all: ${PROGRAMS}

test: all

${PROGRAMS}: %: %.o libsandtools.a
	${CCTOOLS_LD} -o $@ $< -L. -lsandtools -ldttools ${CCTOOLS_INTERNAL_LDFLAGS}

libsandtools.a: $(OBJECTS)
	ar rv libsandtools.a $(OBJECTS)
	ranlib libsandtools.a

%.o: %.c
	${CCTOOLS_CC} ${CCTOOLS_INTERNAL_CCFLAGS} -c $< -o $@ -O4

clean:
	rm -f core *~ *.o *.os *.so $(PROGRAMS) libsandtools.a

install: all
	install -d ${CCTOOLS_INSTALL_DIR}
	install -d ${CCTOOLS_INSTALL_DIR}/bin
	for p in ${PROGRAMS} ${SCRIPTS}; do install $$p ${CCTOOLS_INSTALL_DIR}/bin; done

=== work_queue/src/Makefile ===
CCTOOLS_HOME = ../..

include ../../Makefile.config

all: bindings

bindings:
	@for m in ${CCTOOLS_WORK_QUEUE_BINDINGS}; do cd $$m; make all; cd ..; done

clean-bindings:
	@for m in ${CCTOOLS_WORK_QUEUE_BINDINGS}; do cd $$m; make clean; cd ..; done

install test: all
	@for m in ${CCTOOLS_WORK_QUEUE_BINDINGS}; do cd $$m; make $@; cd ..; done

clean: clean-bindings
	rm -fr *.o

=== debian/changelog ===
cctools (3.4.0-1build1) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Wed, 23 Nov 2011 15:53:55 -0800

cctools (3.4.0-1) unstable; urgency=low

  * New upstream release.
  * Improve DEP5 compliance of debian/copyright.
  * Added patch to make "starch" use python instead of python2 as interpreter.
  * Tighten build-dependencies (added swig and m4).
  * Enable MPI-support for work-queue.
  * Move to dh_python2.
  * Split Python-bindings for workqueue into a dedicated package and build
    them for all supported Python versions.

 -- Michael Hanke <mih@debian.org>  Wed, 26 Oct 2011 11:51:10 +0200
